JavaScript
import Augustus from '@augustusbank/typescript-sdk';
const client = new Augustus({
apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const counterpartyListResponse of client.counterparties.list()) {
console.log(counterpartyListResponse.id);
}curl --request GET \
--url https://api.augustus.com/v1/counterparties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/counterparties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "counterparty",
"name": "<string>",
"physical_address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country_code": "DE"
},
"financial_address": {
"type": "iban",
"iban": "DE89370400440532013000",
"account_holder_name": "Acme Sandbox Ltd.",
"bic": "COBADEFFXXX"
},
"date_of_birth": "2023-12-25",
"is_self_owned": true
}
],
"has_more": true,
"next_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0",
"has_previous": true,
"previous_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
}Counterparties
List counterparties
Lists counterparties owned by the merchant with cursor-based pagination.
GET
/
v1
/
counterparties
JavaScript
import Augustus from '@augustusbank/typescript-sdk';
const client = new Augustus({
apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const counterpartyListResponse of client.counterparties.list()) {
console.log(counterpartyListResponse.id);
}Authorizations
Bearer token for authentication with Augustus Banking API
Query Parameters
Number of results per page (1-100). Defaults to 10.
Required range:
1 <= x <= 100Opaque cursor from a previous next_cursor.
Response
200 - application/json
Paginated list of counterparties
Show child attributes
Show child attributes
Example:
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
Example:
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
Was this page helpful?
⌘I